mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive Class Reference
Inheritance diagram for mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive:

## Public Member Functions

| __init__ (self, name, config, importer=__import__)
| read (self, count)
| Read 'count' bytes of data from DUT.
| write (self, payload, log=False)
| Write 'payload' to DUT.
| flush (self)
| Flush read/write channels of DUT.
| allocated (self)
| connected (self)
| Check if there is a connection to DUT.
| finish (self)
| Handle DUT dtor like (close resource) operations here.
| reset (self)
| Reset the dut.
| __del__ (self)
Public Member Functions inherited from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive
| write_kv (self, key, value)
| Forms and sends Key-Value protocol message.
| error (self)
| Returns LAST_ERROR value.

## Public Attributes

| config
| target_id
| grm_host
| grm_port
| grm_module
| platform_name
| baudrate
| image_path
| allocate_requirements
| remote_module
| selected_resource
| client
| LAST_ERROR
Public Attributes inherited from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive
| LAST_ERROR
| logger
| polling_timeout

## Detailed Description

Definition at line 23 of file conn_primitive_remote.py.

## Constructor & Destructor Documentation

## __init__()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.__init__ | ( |  | self,
|  |  | name,
|  |  | config,
|  |  | importer = `__import__`
| ) |  |

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 24 of file conn_primitive_remote.py.

## __del__()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.__del__ | ( |  | self | ) |

Definition at line 186 of file conn_primitive_remote.py.

## Member Function Documentation

## allocated()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.allocated | ( |  | self | ) |

Definition at line 162 of file conn_primitive_remote.py.

## connected()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.connected | ( |  | self | ) |

Check if there is a connection to DUT.

Returns
  True if there is conenction to DUT (read/write/flush API works)

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 165 of file conn_primitive_remote.py.

## finish()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.finish | ( |  | self | ) |

Handle DUT dtor like (close resource) operations here.

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 176 of file conn_primitive_remote.py.

## flush()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.flush | ( |  | self | ) |

Flush read/write channels of DUT.

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 159 of file conn_primitive_remote.py.

## read()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.read | ( |  | self,
|  |  | count
| ) |  |

Read 'count' bytes of data from DUT.

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 135 of file conn_primitive_remote.py.

## reset()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.reset | ( |  | self | ) |

Reset the dut.

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 183 of file conn_primitive_remote.py.

## write()

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.write | ( |  | self,
|  |  | payload,
|  |  | log = `False`
| ) |  |

Write 'payload' to DUT.

Reimplemented from mbed_host_tests.host_tests_conn_proxy.conn_primitive.ConnectorPrimitive.

Definition at line 146 of file conn_primitive_remote.py.

## Member Data Documentation

## allocate_requirements

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.allocate_requirements

Definition at line 34 of file conn_primitive_remote.py.

## baudrate

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.baudrate

Definition at line 32 of file conn_primitive_remote.py.

## client

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.client

Definition at line 44 of file conn_primitive_remote.py.

## config

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.config

Definition at line 26 of file conn_primitive_remote.py.

## grm_host

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.grm_host

Definition at line 28 of file conn_primitive_remote.py.

## grm_module

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.grm_module

Definition at line 30 of file conn_primitive_remote.py.

## grm_port

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.grm_port

Definition at line 29 of file conn_primitive_remote.py.

## image_path

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.image_path

Definition at line 33 of file conn_primitive_remote.py.

## LAST_ERROR

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.LAST_ERROR

Definition at line 155 of file conn_primitive_remote.py.

## platform_name

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.platform_name

Definition at line 31 of file conn_primitive_remote.py.

## remote_module

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.remote_module

Definition at line 42 of file conn_primitive_remote.py.

## selected_resource

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.selected_resource

Definition at line 43 of file conn_primitive_remote.py.

## target_id

mbed_host_tests.host_tests_conn_proxy.conn_primitive_remote.RemoteConnectorPrimitive.target_id

Definition at line 27 of file conn_primitive_remote.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_conn_proxy/conn_primitive_remote.py